## com.fasterxml.jackson.databind.deser.std
Class JdkDeserializers.LocaleDeserializer

    java.lang.Object
      com.fasterxml.jackson.databind.JsonDeserializer<T>
          com.fasterxml.jackson.databind.deser.std.StdDeserializer<T>
              com.fasterxml.jackson.databind.deser.std.StdScalarDeserializer<T>
                  com.fasterxml.jackson.databind.deser.std.FromStringDeserializer<Locale>
                      com.fasterxml.jackson.databind.deser.std.JdkDeserializers.LocaleDeserializer

Enclosing class:
  JdkDeserializers

    protected static class JdkDeserializers.LocaleDeserializer

extends FromStringDeserializer<Locale>

Kept protected as it's not meant to be extensible at this point

Nested Class Summary

Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonDeserializer
`JsonDeserializer.None`

Field Summary

Fields inherited from class com.fasterxml.jackson.databind.deser.std.StdDeserializer
`_valueClass`

Constructor Summary
`JdkDeserializers.LocaleDeserializer()`

Method Summary
`protected Locale` `_deserialize(String value, DeserializationContext ctxt)`

Methods inherited from class com.fasterxml.jackson.databind.deser.std.FromStringDeserializer
`_deserializeEmbedded, deserialize`

Methods inherited from class com.fasterxml.jackson.databind.deser.std.StdScalarDeserializer
`deserializeWithType`

Methods inherited from class com.fasterxml.jackson.databind.deser.std.StdDeserializer
`_parseBoolean, _parseBooleanFromNumber, _parseBooleanPrimitive, _parseByte, _parseDate, _parseDouble, _parseDoublePrimitive, _parseFloat, _parseFloatPrimitive, _parseInteger, _parseIntPrimitive, _parseLong, _parseLongPrimitive, _parseShort, _parseShortPrimitive, findDeserializer, getValueClass, getValueType, handleUnknownProperty, isDefaultDeserializer, isDefaultKeyDeserializer, parseDouble`

Methods inherited from class com.fasterxml.jackson.databind.JsonDeserializer
`deserialize, getEmptyValue, getKnownPropertyNames, getNullValue, getObjectIdReader, isCachable, unwrappingDeserializer`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JdkDeserializers.LocaleDeserializer

    public JdkDeserializers.LocaleDeserializer()

Method Detail

### _deserialize

    protected Locale _deserialize(String value,
                                  DeserializationContext ctxt)
                           throws IOException

  Specified by:
    `_deserialize` in class `FromStringDeserializer<Locale>`
  Throws:
    `IOException`

Copyright © 2012 fasterxml.com. All Rights Reserved.